Feb 092014
 

Hello,

When updating to cPanel 11.40, this enables IPv6 by default. This can cause an issue when cPanel starts rebuilding the Apache configuration though because it adds one or both of these lines:

Listen[::]:80
Listen[::]:443

When IPv6 is installed on a server, the Listen directive is set to Listen[::]:80, which listens for all IPv6 addresses on the server.

The above is basically how Apache will listen for IPv6 addresses. So far I believe this only works with Apache 2.0+. When Apache encounters this problem on start/restart it will present a similar error to the following:

httpd not running, trying to start
(98)Address already in use: make_sock: could not bind to address
0.0.0.0:443

To resolve this temporarily just disable the lines that contain the ipv6 listen directives by adding the pound sign, number sign, or hashtag to the beginning of the line:

#Listen[::]:80
or
#Listen[::]:443

This can permanently be resolved by forcing EasyApache to rebuild the currently installed apache and php versions.

/scripts/easyapache --build

(Never run easyapache without first making sure you backup current Apache config, php config and php information as well as currently installed modules)

From what we are seeing in certain circumstances, this can even upgrade your PHP version when the currently installed version of PHP is no longer an option in EasyApache. To be 100 percent safe and save yourself some time always verify the current php version and make sure it is selected in EasyApache. If for any reason this does not happen, you may find that EasyApache upgraded the php version and some websites may not be working anymore. This does appear to be a trending issue as more and more servers are upgraded to 11.40 without making any changes to their apache configuration at all.

Just a heads up…

Share This!
 Posted by at 8:40 am

Sorry, the comment form is closed at this time.